How JustAnswer Works:

  • Ask an Expert
    Experts are full of valuable knowledge and are ready to help with any question. Credentials confirmed by a Fortune 500 verification firm.
  • Get a Professional Answer
    Via email, text message, or notification as you wait on our site.
    Ask follow up questions if you need to.
  • 100% Satisfaction Guarantee
    Rate the answer you receive.

Ask The MacWhisperer Your Own Question

The MacWhisperer
The MacWhisperer, Professional Mac Guru
Category: Mac
Satisfied Customers: 250
Experience:  25+ years on the Mac, 6+ years as a Mac Guru running a computer consultant company.
Type Your Mac Question Here...
The MacWhisperer is online now
A new question is answered every 9 seconds

I have an iBook G4 with 30GB hard drive. I have been thwarted

Customer Question

I have an iBook G4 with 30GB hard drive. I have been thwarted in installing 007 security upgrade and Safari 3.2. I have 3.6 GB free. What is the problem?
Submitted: 7 years ago.
Category: Mac
Expert:  The MacWhisperer replied 7 years ago.
What happens when you try to install?

What operating system are you using?
Customer: replied 7 years ago.
I get red exclamation mark on the image of my hard drive and a message that says I can't install on this volume.
Expert:  The MacWhisperer replied 7 years ago.
What operating system are you on?

How are you updating? Have you tried going to the apple menu and selecting software update from there?
Customer: replied 7 years ago.
Dear Whisperer,
        OK, I got the 10.4.11 download by going to the Apple menu. I assume it's installed because when I go to the Apple menu "About this Computer" it says I'm running 10.4.11. I just tried to install Safari 3.2.1 and I got the message that I need 10.4.11. I really need to get Safari 3.2.1 because I can't use my netflix account. Netflix crashes almost every time I try to order a movie. In the grand scheme of things this is not a life threatening situation, but it is an annoyance which I hope you can rid me of.
        I'm a little perplexed about the numbers assigned to the advanced versions of OSX. It looks like 10.4.11 supersedes 10.4.6. Wouldn't it be more accurate to say 10.4.06? I agree that 11 is higher than 6, but I was a little confused when I was told that I needed 10.4.11 when I already had 10.4.6.
        Thanks for your help.
              Robert McIntosh

Expert:  The MacWhisperer replied 7 years ago.
10.4.11 was the first time (other than 10.4.10) that apple had a 2 digit upgrade to an OS. Yes, it is counter intuitive, but from 10.4.6 there was .7, .8, .9, .10 and finally .11

I don't think they planned on it going that high, but when .9 wasn't the final version they had to do something and yes, .11 is larger than .6.

You should just keep running software update and installing everything until it is fully up to date.

Also, you should download Firefox as a potential alternative when a website is giving you trouble. Safari has problems with certain sites, and it's nice to have another browser to use when that happens.

you can get Firefox from it is pretty intuitive, and not a bad second choice.

As far as Netflix, you should also be aware of a cool app I like to use to manage my Netflix account called Netflix Freak. It allows me to manage my queue and add to it without needing to even go to the sometimes cluttered netflix webpage. You can find it here: